fse.vo

## Class AccessLog

- java.lang.Object
- - fse.vo.AccessLog

-     public class AccessLog
      extends java.lang.Object

  Contiene i dati di un singolo accesso al fascicolo di un assistito

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessLog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActionId()`
    `java.lang.String` | `getAssumptionOfResponsability()` Restituisce l'assunzione di responsabilit� specificata per gli accessi in regime di emergenza.
    `java.lang.String` | `getCategoriaSoggetto()`
    `java.lang.String` | `getConfidentialityCode()`
    `java.util.Date` | `getDate()` Restituisce la data dell'operazione.
    `java.lang.String` | `getDescription()` Restituisce una descrizione testuale dell'operazione e dell'esito che ha ottenuto.
    `java.lang.String` | `getDocumentId()`
    `java.lang.String` | `getDocumentType()` Restituisce il tipo di documento, codificato secondo la codifica LOINC, su cui l'operazione ha avuto effetto (se disponibile).
    `DocumentURI` | `getDocumentURI()` Restituisce l'identificativo del documento su cui l'operazione ha avuto effetto (se disponibile).
    `java.lang.String` | `getEventCodeList()`
    `java.lang.String` | `getLocality()` Restituisce la struttura da cui si � effettuato l'accesso
    `java.lang.String` | `getOperation()` Restituisce l'operazione richiesta.
    `java.lang.String` | `getOperatorCode()` Restituisce il codice fiscale dell'operatore che ha effettuato la richiesta.
    `java.lang.String` | `getOrganizationCode()` Restituisce il codice dell'organizzazione con cui si � effettuato l'accesso
    `java.lang.String` | `getOrganizationName()` Restituisce il nome dell'organizzazione con cui si � effettuato l'accesso
    `java.lang.String` | `getPermission()`
    `java.lang.String` | `getRole()` Restituisce il ruolo istituzionale con cui si � effettuato l'accesso
    `java.lang.String` | `getTrattamento()`
    `boolean` | `isEmergency()` Restituisce un flag che indica se la richiesta � stata fatta in regime di emergenza.
    `boolean` | `isFailed()` Restituisce un flag che indica se l'operazione richiesta ha generato errori.
    `void` | `setActionId(java.lang.String actionId)`
    `void` | `setAssumptionOfResponsability(java.lang.String assumptionOfResponsability)` Imposta l'assunzione di responsabilit� specificata per gli accessi in regime di emergenza.
    `void` | `setCategoriaSoggetto(java.lang.String categoriaSoggetto)`
    `void` | `setConfidentialityCode(java.lang.String confidentialityCode)`
    `void` | `setDate(java.util.Date date)` Imposta la data dell'operazione
    `void` | `setDescription(java.lang.String description)` Imposta una descrizione testuale dell'operazione e dell'esito che ha ottenuto.
    `void` | `setDocumentId(java.lang.String documentId)`
    `void` | `setDocumentType(java.lang.String documentType)` Imposta il tipo di documento, codificato secondo la codifica LOINC, su cui l'operazione ha avuto effetto (se applicabile).
    `void` | `setDocumentURI(DocumentURI documentURI)` Imposta l'identificativo del documento su cui l'operazione ha avuto effetto (se applicabile).
    `void` | `setEmergency(boolean emergency)` Imposta il flag che indica se la richiesta � stata fatta in regime di emergenza
    `void` | `setEventCodeList(java.lang.String eventCodeList)`
    `void` | `setFailed(boolean failed)` Imposta il flag che indica se l'operazione richiesta ha generato errori
    `void` | `setLocality(java.lang.String locality)` Imposta la struttura da cui si � effettuato l'accesso
    `void` | `setOperation(java.lang.String operation)` Imposta l'operazione richiesta.
    `void` | `setOperatorCode(java.lang.String operatorCode)` Imposta il codice fiscale dell'operatore che ha effettuato la richiesta
    `void` | `setOrganizationCode(java.lang.String organizationCode)` Imposta il codice dell'organizzazione con cui si � effettuato l'accesso
    `void` | `setOrganizationName(java.lang.String organizationName)` Imposta il nome dell'organizzazione con cui si � effettuato l'accesso
    `void` | `setPermission(java.lang.String permission)`
    `void` | `setRole(java.lang.String role)` Imposta il ruolo istituzionale con cui si � effettuato l'accesso
    `void` | `setTrattamento(java.lang.String trattamento)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessLog

          public AccessLog()

  - ### Method Detail

    - #### getOperatorCode

          public java.lang.String getOperatorCode()

      Restituisce il codice fiscale dell'operatore che ha effettuato la richiesta. Parametro facoltativo.
      Returns:
        il codice fiscale dell'operatore

    - #### setOperatorCode

          public void setOperatorCode(java.lang.String operatorCode)

      Imposta il codice fiscale dell'operatore che ha effettuato la richiesta
      Parameters:
        `operatorCode` - il codice fiscale dell'operatore

    - #### getDate

          public java.util.Date getDate()

      Restituisce la data dell'operazione. Parametro obbligatorio.
      Returns:
        la data dell'operazione

    - #### setDate

          public void setDate(java.util.Date date)

      Imposta la data dell'operazione
      Parameters:
        `date` - la data dell'operazione

    - #### getOperation

          public java.lang.String getOperation()

      Restituisce l'operazione richiesta. Questa coincide con il servizio richiamato e pu� assumere uno tra i seguenti valori.
      - addDocument
      - updateDocument
      - queryDocument
      - retrieveDocument
      - setAccessPolicies
      - getAccessPolicies
      - setReadingAgreement
      - setWritingAgreement
      - getReadingAgreement
      - qetWritingAgreement
      - blindDocument
      Parametro obbligatorio.
      Returns:
        l'operazione richiesta

    - #### setOperation

          public void setOperation(java.lang.String operation)

      Imposta l'operazione richiesta. Questa coincide con il servizio richiamato e pu� assumere uno tra i seguenti valori.
      - addDocument
      - updateDocument
      - queryDocument
      - retrieveDocument
      - setAccessPolicies
      - getAccessPolicies
      - setReadingAgreement
      - setWritingAgreement
      - getReadingAgreement
      - qetWritingAgreement
      - blindDocument
      Parameters:
        `operation` - l'operazione richiesta

    - #### getDescription

          public java.lang.String getDescription()

      Restituisce una descrizione testuale dell'operazione e dell'esito che ha ottenuto. Parametro obbligatorio.
      Returns:
        la descrizione testuale dell'operazione

    - #### setDescription

          public void setDescription(java.lang.String description)

      Imposta una descrizione testuale dell'operazione e dell'esito che ha ottenuto.
      Parameters:
        `description` - la descrizione dell'operazione

    - #### getDocumentURI

          public DocumentURI getDocumentURI()

      Restituisce l'identificativo del documento su cui l'operazione ha avuto effetto (se disponibile). Parametro facoltativo.
      Returns:
        l'eventuale identificativo del documento

    - #### setDocumentURI

          public void setDocumentURI(DocumentURI documentURI)

      Imposta l'identificativo del documento su cui l'operazione ha avuto effetto (se applicabile).
      Parameters:
        `documentURI` - l'eventuale identificativo del documento

    - #### getDocumentType

          public java.lang.String getDocumentType()

      Restituisce il tipo di documento, codificato secondo la codifica LOINC, su cui l'operazione ha avuto effetto (se disponibile). Parametro facoltativo.
      Per un elenco dei possibili tipi di documento consultare le Specifiche di Integrazione.
      Returns:
        il tipo di documento secondo la codifica LOINC

    - #### setDocumentType

          public void setDocumentType(java.lang.String documentType)

      Imposta il tipo di documento, codificato secondo la codifica LOINC, su cui l'operazione ha avuto effetto (se applicabile).
      Per un elenco dei possibili tipi di documento consultare le Specifiche di Integrazione.
      Parameters:
        `documentType` - il tipo di documento secondo la codifica LOINC

    - #### isFailed

          public boolean isFailed()

      Restituisce un flag che indica se l'operazione richiesta ha generato errori. Parametro obbligatorio.
      Returns:
        `true` se l'operazione � fallita, `false` se eseguita correttamente

    - #### setFailed

          public void setFailed(boolean failed)

      Imposta il flag che indica se l'operazione richiesta ha generato errori
      Parameters:
        `failed` - `true` se l'operazione � fallita, `false` se eseguita correttamente

    - #### isEmergency

          public boolean isEmergency()

      Restituisce un flag che indica se la richiesta � stata fatta in regime di emergenza. Parametro obbligatorio.
      Returns:
        `true` se l'operazione � stata effettuata in emergenza, `false` altrimenti

    - #### setEmergency

          public void setEmergency(boolean emergency)

      Imposta il flag che indica se la richiesta � stata fatta in regime di emergenza
      Parameters:
        `emergency` - `true` se l'operazione � stata effettuata in emergenza, `false` altrimenti

    - #### getAssumptionOfResponsability

          public java.lang.String getAssumptionOfResponsability()

      Restituisce l'assunzione di responsabilit� specificata per gli accessi in regime di emergenza. Applicabile solo se `emergency` � `true`. Parametro facoltativo.
      Returns:
        l'assunzione di responsabilit� specificata

    - #### setAssumptionOfResponsability

          public void setAssumptionOfResponsability(java.lang.String assumptionOfResponsability)

      Imposta l'assunzione di responsabilit� specificata per gli accessi in regime di emergenza. Applicabile solo se `emergency` � `true`
      Parameters:
        `assumptionOfResponsability` - l'assunzione di responsabilit� specificata

    - #### getRole

          public java.lang.String getRole()

      Restituisce il ruolo istituzionale con cui si � effettuato l'accesso
      Returns:
        il ruolo istituzionale

    - #### setRole

          public void setRole(java.lang.String role)

      Imposta il ruolo istituzionale con cui si � effettuato l'accesso
      Parameters:
        `role` - il nuovo ruolo istituzionale

    - #### getOrganizationCode

          public java.lang.String getOrganizationCode()

      Restituisce il codice dell'organizzazione con cui si � effettuato l'accesso
      Returns:
        il codice dell'organizzazione

    - #### setOrganizationCode

          public void setOrganizationCode(java.lang.String organizationCode)

      Imposta il codice dell'organizzazione con cui si � effettuato l'accesso
      Parameters:
        `organizationCode` - il nuovo codice dell'organizzazione

    - #### getOrganizationName

          public java.lang.String getOrganizationName()

      Restituisce il nome dell'organizzazione con cui si � effettuato l'accesso
      Returns:
        il nome dell'organizzazione

    - #### setOrganizationName

          public void setOrganizationName(java.lang.String organizationName)

      Imposta il nome dell'organizzazione con cui si � effettuato l'accesso
      Parameters:
        `organizationName` - il nome dell'organizzazione

    - #### getLocality

          public java.lang.String getLocality()

      Restituisce la struttura da cui si � effettuato l'accesso
      Returns:
        il nome della struttura

    - #### setLocality

          public void setLocality(java.lang.String locality)

      Imposta la struttura da cui si � effettuato l'accesso
      Parameters:
        `locality` - il nuovo nome della struttura

    - #### getPermission

          public java.lang.String getPermission()

    - #### setPermission

          public void setPermission(java.lang.String permission)

    - #### getTrattamento

          public java.lang.String getTrattamento()

    - #### setTrattamento

          public void setTrattamento(java.lang.String trattamento)

    - #### getDocumentId

          public java.lang.String getDocumentId()

    - #### setDocumentId

          public void setDocumentId(java.lang.String documentId)

    - #### getActionId

          public java.lang.String getActionId()

    - #### setActionId

          public void setActionId(java.lang.String actionId)

    - #### getEventCodeList

          public java.lang.String getEventCodeList()

    - #### setEventCodeList

          public void setEventCodeList(java.lang.String eventCodeList)

    - #### getCategoriaSoggetto

          public java.lang.String getCategoriaSoggetto()

    - #### setCategoriaSoggetto

          public void setCategoriaSoggetto(java.lang.String categoriaSoggetto)

    - #### getConfidentialityCode

          public java.lang.String getConfidentialityCode()

    - #### setConfidentialityCode

          public void setConfidentialityCode(java.lang.String confidentialityCode)